build-job:
  stage: build
  script:
    - touch .env
    - echo "$DVMN_API_KEY=DVMN_API_KEY" >> .env
    - echo "$NOTIFIER_BOT_KEY=NOTIFIER_BOT_KEY" >> .env
    - echo "$LOGGER_BOT_KEY=LOGGER_BOT_KEY" >> .env
    - echo "$TG_USER_ID=TG_USER_ID" >> .env
    - echo "$TG_ADMIN_ID=TG_ADMIN_ID" >> .env
    - echo "all vaiables in .env"
    - sleep 30
    - docker build . -t notification_bot
    - docker run --name notification_bot --env-file=./.env -it notification_bot
  artifacts:
    paths:
      - .env

